# Enum ConfigurationCacheOutcome

java.lang.Object
java.lang.Enum<ConfigurationCacheOutcome>
org.gradle.testkit.runner.ConfigurationCacheOutcome

All Implemented Interfaces:
  `Serializable, Comparable<ConfigurationCacheOutcome>, Constable`

@Incubating @NullMarked public enum ConfigurationCacheOutcome extends Enum<ConfigurationCacheOutcome>
The outcome of configuration caching for a build, exposed via `BuildResult.getConfigurationCacheOutcome()`.

Since:
  9.8.0
See Also:
  - `BuildResult.getConfigurationCacheOutcome()`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISCARDED`
  A configuration cache entry was written but discarded at the end of the build, e.g.
  `NOT_ENABLED`
  The configuration cache was not enabled for the build.
  `NOT_STORED`
  No configuration cache entry was stored on purpose: no reusable entry was found while the cache is in read-only mode, or configuration caching was degraded gracefully because incompatible tasks were scheduled.
  `REUSED`
  A configuration cache entry was found and fully reused.
  `STORED`
  No reusable configuration cache entry was found and a new entry was stored.
  `UNDETERMINED`
  The configuration cache was enabled, but the outcome could not be determined, e.g.
  `UPDATED`
  A configuration cache entry was found and partially reused; the invalidated projects were re-configured and the entry was updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigurationCacheOutcome`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConfigurationCacheOutcome[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_ENABLED

    public static final ConfigurationCacheOutcome NOT_ENABLED
    The configuration cache was not enabled for the build.
    Since:
      9.8.0

  - ### STORED

    public static final ConfigurationCacheOutcome STORED
    No reusable configuration cache entry was found and a new entry was stored.
    Since:
      9.8.0

  - ### REUSED

    public static final ConfigurationCacheOutcome REUSED
    A configuration cache entry was found and fully reused.
    Since:
      9.8.0

  - ### UPDATED

    public static final ConfigurationCacheOutcome UPDATED
    A configuration cache entry was found and partially reused; the invalidated projects were re-configured and the entry was updated.
    Since:
      9.8.0

  - ### DISCARDED

    public static final ConfigurationCacheOutcome DISCARDED
    A configuration cache entry was written but discarded at the end of the build, e.g. because of problems, a serialization error or incompatible tasks.
    Since:
      9.8.0

  - ### NOT_STORED

    public static final ConfigurationCacheOutcome NOT_STORED
    No configuration cache entry was stored on purpose: no reusable entry was found while the cache is in read-only mode, or configuration caching was degraded gracefully because incompatible tasks were scheduled.
    Since:
      9.8.0

  - ### UNDETERMINED

    public static final ConfigurationCacheOutcome UNDETERMINED
    The configuration cache was enabled, but the outcome could not be determined, e.g. because the build failed early.

    Also reported when the target Gradle version is newer than this TestKit version and reports an outcome that this enum does not know about.

    Since:
      9.8.0

- ## Method Details

  - ### values

    public static ConfigurationCacheOutcome[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConfigurationCacheOutcome valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null